OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCAF
TFunction

# TFunction_DriverTable Class Reference

A container for instances of drivers.
You create a new instance of TFunction_Driver
and use the method AddDriver to load it into the driver table.
.

`#include <TFunction_DriverTable.hxx>`

## Public Member Functions
Standard_EXPORT | TFunction_DriverTable ()
| Default constructor .
Standard_EXPORT Standard_Boolean | AddDriver (const Standard_GUID &guid, const Handle(TFunction_Driver)&driver, const Standard_Integer thread=0)
| Returns true if the driver has been added successfully to the driver table. .
Standard_EXPORT Standard_Boolean | HasDriver (const Standard_GUID &guid, const Standard_Integer thread=0) const
| Returns true if the driver exists in the driver table. .
Standard_EXPORT Standard_Boolean | FindDriver (const Standard_GUID &guid, Handle(TFunction_Driver)&driver, const Standard_Integer thread=0) const
| Returns true if the driver was found. .
Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
Standard_OStream & | operator<< (Standard_OStream &anOS) const
Standard_EXPORT Standard_Boolean | RemoveDriver (const Standard_GUID &guid, const Standard_Integer thread=0)
| Removes a driver with the given GUID. Returns true if the driver has been removed successfully. .
Standard_EXPORT void | Clear ()
| Removes all drivers. Returns true if the driver has been removed successfully. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT Handle_TFunction_DriverTable | Get ()
| Returns the driver table. If a driver does not exist, creates it. .
## Private Attributes
TFunction_DataMapOfGUIDDriver | myDrivers
Handle_TFunction_HArray1OfDataMapOfGUIDDriver | myThreadDrivers

## Constructor & Destructor Documentation

Standard_EXPORT TFunction_DriverTable::TFunction_DriverTable | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean TFunction_DriverTable::AddDriver | ( | const Standard_GUID & | guid,
|  | const Handle(TFunction_Driver)& | driver,
|  | const Standard_Integer | thread = `0`
| ) |

Standard_EXPORT void TFunction_DriverTable::Clear | ( |  | ) |

Standard_EXPORT Standard_OStream& TFunction_DriverTable::Dump | ( | Standard_OStream & | anOS | ) | const

Standard_EXPORT Standard_Boolean TFunction_DriverTable::FindDriver | ( | const Standard_GUID & | guid,
|  | Handle(TFunction_Driver)& | driver,
|  | const Standard_Integer | thread = `0`
| ) | const

static Standard_EXPORT Handle_TFunction_DriverTable TFunction_DriverTable::Get | ( |  | ) | `[static]`

Standard_EXPORT const TFunction_DriverTable::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean TFunction_DriverTable::HasDriver | ( | const Standard_GUID & | guid,
|  | const Standard_Integer | thread = `0`
| ) | const

Standard_OStream& TFunction_DriverTable::operator<< | ( | Standard_OStream & | anOS | ) | const`[inline]`

Standard_EXPORT Standard_Boolean TFunction_DriverTable::RemoveDriver | ( | const Standard_GUID & | guid,
|  | const Standard_Integer | thread = `0`
| ) |

## Field Documentation

TFunction_DataMapOfGUIDDriver TFunction_DriverTable::myDrivers`[private]`

Handle_TFunction_HArray1OfDataMapOfGUIDDriver TFunction_DriverTable::myThreadDrivers`[private]`

The documentation for this class was generated from the following file:

- TFunction_DriverTable.hxx